/// <reference types="pixi.js" />
import { Level, LevelInfo } from "./level";
import { Car, LidarInfoI } from "./car";
import { Editor } from "./editor";
export interface AssetInfo {
    readonly mx?: number;
    readonly my?: number;
    readonly type?: any;
    readonly x?: number;
    readonly y?: number;
}
export interface RoadSprite extends PIXI.Sprite {
    obstacle?: boolean;
    mapId?: number;
    orientation?: number;
    setCarPosition?: any;
    cars?: number[];
    mx?: number;
    my?: number;
    isremove?: boolean;
    arrow?: string;
}
export interface SimpleSprite extends PIXI.Sprite {
    obstacle?: boolean;
    type?: string;
    mapId?: number;
    isremove?: boolean;
}
export declare class AssetManger {
    private level;
    assets: SimpleSprite[];
    private agentMotionEngine;
    private agentMotionOptions;
    private agentLidarInfo;
    constructor(level: Level | Editor);
    setAgentLidar(options: LidarInfoI): void;
    setAgentMotion(motion: any, options: Object): void;
    createRoadSide(info: AssetInfo): void;
    createRoad(info: AssetInfo, textures: any, arrow: string): void;
    setCarOnRoad(road: RoadSprite, car: any, line: number, force?: boolean): void;
    createAsset(img: string, info: AssetInfo, textures: any, type: string): void;
    createMap(map: (string | number)[][], info: LevelInfo, textures: (PIXI.Texture | PIXI.loaders.TextureDictionary), roadside?: boolean): void;
    createCars(info: any, textures: (PIXI.Texture | PIXI.loaders.TextureDictionary)): void;
    createAgent(info: any, textures: (PIXI.Texture | PIXI.loaders.TextureDictionary), displayLidar?: boolean): Car;
    addAsset(asset: any): void;
    exportMap(width: number, height: number, file_name: string, download: boolean): any;
}
