import { MotionEngine } from "./motion_engine";
import { Level } from "./level";
import { actionSpaceDescription } from "./motion_engine";
export interface BasicMotionOptions {
    readonly rotationStep?: number;
    readonly actions?: string[];
}
export declare class BasicMotionEngine extends MotionEngine {
    private rotationStep;
    private actions;
    private maxSpeed;
    constructor(level: Level, options: BasicMotionOptions);
    setUp(car: any, lidar: any): void;
    setUpKeyboard(): void;
    turnLeft(): void;
    turnRight(): void;
    moveForward(): void;
    moveBackward(): void;
    actionStep(delta: number, action: number): {
        agentCollisions: any[];
        onRoad: boolean;
    };
    actionSpace(): actionSpaceDescription;
    step(delta: number): {
        agentCollisions: any[];
        onRoad: boolean;
    };
}
