import { RoadSprite } from "./asset_manager";
import { LidarInfoI } from "./car";
import { World } from "./world";
import { BasicMotionEngine, BasicMotionOptions } from "./basic_motion_engine";
import { ControlMotionEngine } from "./control_motion_engine";
export interface LevelInfo {
    map: (string | number)[][];
    agent: any;
    [index: string]: any;
}
export interface Roads {
    [key: string]: RoadSprite;
}
export declare class Level extends World {
    isCarsMoving: boolean;
    private lastReward;
    private rewardFunction;
    constructor(levelContent: LevelInfo, canvasId: string);
    setRewardFunction(fc: any): void;
    carsMoving(moving: boolean): void;
    setAgentMotion(motion: typeof BasicMotionEngine | typeof ControlMotionEngine, options: BasicMotionOptions): void;
    setAgentLidar(options: LidarInfoI): void;
    protected _setup(info: LevelInfo): void;
    reset(): void;
    setReward(agent_col: any, on_road: any, action: any): number;
    getLastReward(): number;
    step(delta: number, action?: number | number[], auto?: boolean): any;
    stopRender(): void;
}
