import { actionSpaceDescription } from "./motion_engine";
import { BasicMotionEngine, BasicMotionOptions } from "./basic_motion_engine";
import { ControlMotionEngine } from "./control_motion_engine";
import { LidarInfoI, State } from "./car";
export interface eventLoadOptions {
    local: boolean;
}
export interface shuffleConfig {
    agent: boolean;
    cars: boolean;
}
export declare class MetaCar {
    private level;
    private canvasId;
    private levelToLoad;
    private eventList;
    private eventCallback;
    private event;
    private agentMotionEngine;
    private agentMotionOptions;
    private agentLidarInfo;
    private isCarsMoving;
    private loopCallback;
    constructor(canvasId: string, levelToLoad: string | Object);
    setRewardFunction(fc: any): void;
    carsMoving(moving: boolean): void;
    getLastReward(): number;
    setAgentLidar(options: LidarInfoI): void;
    setAgentMotion(motion: typeof BasicMotionEngine | typeof ControlMotionEngine, options: BasicMotionOptions): void;
    addEvent(eventName: string, fc: any, options?: eventLoadOptions): void;
    render(val: boolean): void;
    steping(val: boolean): void;
    save(content: string, file_name: string): void;
    actionSpace(): actionSpaceDescription;
    getState(): State;
    step(action: number | number[]): number;
    reset(): void;
    shuffle(config: shuffleConfig): void;
    loop(fc: any): void;
    private _loop;
    private _setEvents;
    load(): Promise<void>;
}
