import { Level } from "./level";
import { eventLoadOptions } from "./metacar";
import { Editor } from "./editor";
export interface eventEditorLoadOptions {
    download: boolean;
    name: string;
}
export declare class UIEvent {
    private playing;
    private canvasId;
    private buttonsContainer;
    private level;
    private editorWidth;
    private editorHeight;
    playCallback: any;
    constructor(level: Level | Editor, canvasId: string);
    isPlaying(): boolean;
    getEditorSize(): {
        width: number;
        height: number;
    };
    private _createButton;
    onTrain(fc: any): void;
    onPlay(fc: any): void;
    onStop(fc: any): void;
    onResetEnv(fc: any): void;
    onCustomEvent(name: string, fc: any): void;
    onSaveEditor(fc: any, options: eventEditorLoadOptions): void;
    onLoad(fc: any, options?: eventLoadOptions): void;
    private _createRangeBar;
    private _createSpan;
    private _createImage;
    private _listenRangeChanges;
    private _listenCanvasEditor;
    private _listenEditorImgs;
    createEditorElementsEvents(): void;
}
