/// <reference types="pixi.js" />
import { LevelInfo, Roads } from "./level";
import { AssetManger, RoadSprite } from "./asset_manager";
import { Car } from "./car";
export declare class World {
    agent: Car;
    protected levelName: string;
    protected app: PIXI.Application;
    protected am: AssetManger;
    protected map: (string | number)[][];
    protected info: LevelInfo;
    protected envs: any[];
    protected roads: Roads;
    protected loop: any;
    protected canvasId: string;
    protected cars: Car[];
    protected steping: boolean;
    constructor(levelContent: LevelInfo, canvasId: string);
    load(loop: any): Promise<{}>;
    createLevel(info: LevelInfo): Promise<{}>;
    protected _setup(info: LevelInfo): void;
    getRoads(): Roads;
    findCarById(id: number): Car;
    getRoad(my: number, mx: number): RoadSprite;
    addRoad(road: RoadSprite): void;
    addCar(car: Car): void;
    getEnvs(): any[];
    getMap(): (string | number)[][];
    addChild(child: any): void;
    render(val: boolean): void;
    reset(): void;
    resize(width: number, height: number): void;
    getMousePosition(): any;
    setSteping(val: boolean): void;
    shuffleCarsPositions(): void;
}
